Page MenuHomePhabricator

Link to Special:EditLexicon from player
Closed, ResolvedPublic

Description

In the audio player there should be a connection which makes it possible to get into the editor and end up in the correct editing mode. Design and implement a function which takes the user to the editor and sends the relevant information to it. I.e. a button from the player to the editor interface (for the article that you would like to improve).

This task was originally created for Wikispeech 2016.

Event Timeline

Sebastian_Berlin-WMSE renamed this task from [Task] Audio player-editor-connection (Wikispeech) to Audio player-editor-connection.Nov 4 2019, 10:37 AM
Sebastian_Berlin-WMSE updated the task description. (Show Details)
Sebastian_Berlin-WMSE moved this task from Unsorted to Editor on the Wikispeech-Text-to-Speech board.

This should be doable by sending the user to the lexicon editor special page. It would need to accept some input parameters, at least language and orthographic string.

There are two obvious eays of implementing this.

The first is a button in the control panel which simply takes you to the Lexicon editor (passing the page as a parameter). (covered in this task)

The second is integrating this with the selection player so that (a button?) there takes you to the Lexicon editor (passing both the page and the selected text as parameters). (@Sebastian_Berlin-WMSE can you set up a task for this and rename the current task to disambiguate them)

Sebastian_Berlin-WMSE renamed this task from Audio player-editor-connection to Link to Special:EditLexicon from player.Mar 12 2021, 11:14 AM

The second is integrating this with the selection player so that (a button?) there takes you to the Lexicon editor (passing both the page and the selected text as parameters). (@Sebastian_Berlin-WMSE can you set up a task for this and rename the current task to disambiguate them)

Created T277280: Edit lexicon from selection.

Change 675082 had a related patch set uploaded (by Sebastian Berlin (WMSE); author: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Add link to Special:EditLexicon in player

https://gerrit.wikimedia.org/r/675082

Change 675082 merged by jenkins-bot:

[mediawiki/extensions/Wikispeech@master] Add link to Special:EditLexicon in player

https://gerrit.wikimedia.org/r/675082

@Sebastian_Berlin-WMSE
This button should be hidden if the user does not have the permission to edit the lexicon.

Right now on the demo wiki a loged out user will see it but end up on a "Permission error" page if clicking it.

Change 677812 had a related patch set uploaded (by Sebastian Berlin (WMSE); author: Sebastian Berlin (WMSE)):

[mediawiki/extensions/Wikispeech@master] Only add edit button to the player if user has right to edit lexicon

https://gerrit.wikimedia.org/r/677812

Lokal_Profil changed the point value for this task from 2 to 1.Apr 8 2021, 8:15 AM

Change 677830 had a related patch set uploaded (by Sebastian Berlin (WMSE); author: Sebastian Berlin (WMSE)):

[mediawiki/extensions/Wikispeech@master] Only add edit button to the player if user has right to edit lexicon

https://gerrit.wikimedia.org/r/677830

Change 677812 abandoned by Sebastian Berlin (WMSE):

[mediawiki/extensions/Wikispeech@master] Only add edit button to the player if user has right to edit lexicon

Reason:

Missed making this its own branch

https://gerrit.wikimedia.org/r/677812

Change 677830 merged by jenkins-bot:

[mediawiki/extensions/Wikispeech@master] Only add edit button to the player if user has right to edit lexicon

https://gerrit.wikimedia.org/r/677830